#pragma once
#include <map>
struct M_ActivityLuckyMapCFGData
{
	//编号
	int mID;
	//鱼名
	std::string mFishName;
	//显示顺序
	int mOrder;
	//鱼倍率
	std::string mFishMultiple;
	//鱼资源
	std::string mFishResource;
};

class M_ActivityLuckyMapCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyMapCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyMapCFGData* GetData(int ID);
	const std::map<int, M_ActivityLuckyMapCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityLuckyMapCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityLuckyMapCFGData> mMapData;
};
